API referenceConnections

Delete a connection

DELETE/connections/{id}

Dashboard only.

Authorization

apiKey
AuthorizationBearer <token>

A project API key: Authorization: Bearer s0_…

In: header

Path Parameters

id*string
Length1 <= length <= 64

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/connections/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "object": "connection",  "id": "string",  "deleted": true,  "data_plane": {    "destroy": "queued",    "manual_cleanup": [      "string"    ],    "kept": [      "string"    ]  }}